package cn.skcks.docking.wx.orm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 微信公众号记录表
 * </p>
 *
 * @author shikong
 * @since 2024-12-07
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("mp_app")
public class MpApp extends Model<MpApp> {

    private static final long serialVersionUID = 1L;

    /**
     * 公众号id
     */
    @TableId("id")
    private String id;

    /**
     * 开发者id
     */
    @TableField("app_id")
    private String appId;

    /**
     * 名称
     */
    @TableField("app_name")
    private String appName;

    /**
     * 开发者密钥
     */
    @TableField("app_secret")
    private String appSecret;

    /**
     * 令牌
     */
    @TableField("token")
    private String token;

    /**
     * 消息加密密钥
     */
    @TableField("encoding_aes_key")
    private String encodingAesKey;

    /**
     * 是否启用
     */
    @TableField("enable")
    private Boolean enable;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
