package cn.skcks.docking.wx.services.mp.controller;

import cn.skcks.docking.wx.annotation.web.methods.GetJson;
import cn.skcks.docking.wx.common.json.JsonResponse;
import cn.skcks.docking.wx.common.page.PageWrapper;
import cn.skcks.docking.wx.orm.entity.MpApp;
import cn.skcks.docking.wx.services.mp.service.MpAppService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "微信公众号")
@RequestMapping("/mp-app")
@RestController
@RequiredArgsConstructor
public class MpAppController {
    private final MpAppService mpAppService;


    @Operation(summary = "公众号列表")
    @GetJson("/list")
    public JsonResponse<List<MpApp>> getMpAppList() {
        List<MpApp> mpAppList = mpAppService.getMpAppList();
        return JsonResponse.success(mpAppList);
    }

    @Operation(summary = "公众号分页列表")
    @GetJson("/page")
    @Parameters({
            @Parameter(name = "pageNo", description = "页数", example = "1"),
            @Parameter(name = "pageSize", description = "条数", example = "10")
    })
    public JsonResponse<PageWrapper<MpApp>> getMpAppListPage(@RequestParam Integer pageNo, @RequestParam Integer pageSize) {
        return JsonResponse.success(mpAppService.getMpAppPageList(pageNo,pageSize));
    }
}
